<?php
/***
* @package Joomla.Site
* @subpackage mod_firstmodule
* @license GNU/GPL, see LICENSE.php
* @copyright Copyright (C) 2005 - 2019, Open Source Matters, Inc. All rights reserved.
***/
// no direct access
defined('_JEXEC') or die;
// include the syndicate functions only once

// From: https://www.joomlashack.com/blog/joomla/part-1-make-a-simple-joomla-module/

// require_once dirname(__FILE__).'/helper.php';
?>

<?php
	$cssStyles = $params->get('cssStyles');
	$height = $params->get('height');
	$bgVid = $params->get('bgVid');
	$bgImg = $params->get('bgImg');
	$logoImg = $params->get('logoImg');
	$logoWidth = $params->get('logoWidth');
	$body = $params->get('body');
	$ctaUrl = $params->get('ctaUrl');
	$ctaLabel = $params->get('ctaLabel');
	$ctaClass = $params->get('ctaClass');
	$panel = $params->get('panel');	
	$mask = $params->get('mask');
	$textClass = $params->get('textClass');
	$scrollArrow = $params->get('scrollArrow');
	$layout = $params->get('layout');
	$reverse = $params->get('reverse');
?>

<section>
	<div class="jarallax<?php if ($mask) {echo " $mask";}; if ($cssStyles) {echo " $cssStyles";}; ?>" <?php if ($height) {echo " style='min-height:$height'";}; ?> data-jarallax="" data-speed="0.2" <?php if ($bgVid) {echo "data-jarallax-video='$bgVid'";}; ?> >
		<?php if ($bgImg) {echo "<img class='jarallax-img' src='/$bgImg' alt='' />";}; ?>
		<div class="lw-hero flex-fill">
		<?php if ($panel) {echo "<div class='$panel'>";}; ?>
			<?php 
			  if ($layout) {echo "<div class='row w-100"; if ($reverse) {echo " flex-row-reverse";}};
			  if ($layout) {echo "'><div class='col-lg-7'>";};
			  if ($logoImg) {echo "<img class='img-fluid mb-4 animated zoomIn delay-1s' src='/$logoImg' style='width:$logoWidth' alt='Logo' />";};
			  if ($layout) {echo "</div><div class='col-lg-5'>";};
			  if ($body) {echo "<div class='$textClass'>$body</div>";};
			  if ($ctaUrl) {echo "<p><a href='$ctaUrl' class='$ctaClass'>$ctaLabel</a></p>";};
			  if ($layout) {echo "</div></div>";};
			?>
		<?php if ($panel) {echo "</div>";}; ?>
		</div>
		<?php if ($scrollArrow) {echo "
		<div class='text-center w-100' style='position: absolute;bottom: 0;left: 0;'>
        	<i class='fa fa-angle-down $textClass animated pulse infinite' style='font-size: 50px;'>&nbsp;</i>
        </div>
		";}; ?>
	</div>
</section>